let me get this straight

Discussion in 'Wii - Hacking' started by paOol, Dec 29, 2007.

Dec 29, 2007

let me get this straight by paOol at 9:00 PM (1,188 Views / 0 Likes) 4 replies

  1. paOol
    OP

    Member paOol GBAtemp Regular

    Joined:
    May 22, 2006
    Messages:
    274
    Country:
    i currently have an Up to date wii. i think my last update was the metroid prime 3 one.
    whats the best modchip to get in my case? (since i updated my wii)?
    and where should i buy from? i don't want to get my wii bricked.


    anywho, let me get this straight. if i have a NTSC wii, and want to play japanese games, i have to download the jap .iso, patch it with a program, burn it, then it'll work on my modded wii?
     
  2. link459

    Member link459 GBAtemp Fan

    Joined:
    Oct 17, 2006
    Messages:
    354
    Country:
    United States
    Wiikey or Cyclo...

    It really doesn't make any difference, same thing...
     
  3. JPH

    Banned JPH Banned

    Joined:
    Jul 11, 2006
    Messages:
    6,892
    Country:
    United States
    I use a Wiikey, so I'll suggest that.
    Sure, there are other good modchips - just haven't used them before.
    But, my Wiikey works great.
    They aren't very expensive either.

    Also, I believe that Japanese games are NSTC, so they'll work on US consoles without patching them with anything...but I'm not sure, as I've never downloaded one(can someone answer that for us?).

    And yes, all you do is download the ISO and burn the ISO to a DVD (I recommend Nero or Alcohol 120%)

    Here's a Wiikey for 20 dollars at Foundmy.com
     
  4. darkgunsou86

    Newcomer darkgunsou86 Advanced Member

    Joined:
    Sep 3, 2007
    Messages:
    56
    Location:
    Kuala Lumpur
    Country:
    Malaysia
    for other region isos, u have to use Wii Brick Blocker to remove the update to prevent semi-bricking your console.
     
  5. Bob Loblaw

    Member Bob Loblaw Read the Bob Loblaw Law Blog!

    Joined:
    Aug 7, 2007
    Messages:
    1,260
    Country:
    United States
    As of right now actually most Jap isos are incompatile with any modchip. TMD usually covers the ntsc-j releases and it's usually reported back by users that downloaded them from the site i go to that they will not work on other regions.
    Maybe now that the wii has been hacked the region compatibility will be greater. You still need a modchip as of right now though to boot the hacked data to your wii. I would go with wiikey.
     

Share This Page